osl::rating::Open Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
osl::rating::Open Class Reference

`#include <feature.h>`

Inheritance diagram for osl::rating::Open:
[legend]
Collaboration diagram for osl::rating::Open:
[legend]

## Public Member Functions
| Open (int p)
bool | match (const NumEffectState &state, Move move, const RatingEnv &) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
const std::string & | name () const

## Static Public Member Functions
static int | index (const NumEffectState &state, Move move)
static const std::string | name (int property)

## Private Attributes
int | property

## Detailed Description

Definition at line 122 of file rating/feature.h.

## Constructor & Destructor Documentation

osl::rating::Open::Open | ( | int | p) |  |
| inline

Definition at line 126 of file rating/feature.h.

## Member Function Documentation

bool osl::rating::Open::effectiveInCheck | ( | ) |  | const
| inlinevirtual

Reimplemented from osl::rating::Feature.

Definition at line 139 of file rating/feature.h.

static int osl::rating::Open::index | ( | const NumEffectState & | state,
|  | Move | move
| ) |  |
| inlinestatic

Definition at line 127 of file rating/feature.h.

References osl::alt(), osl::Move::from(), osl::rating::CountOpen::index(), osl::Move::isDrop(), and osl::Move::player().

Referenced by osl::rating::OpenGroup::findMatch(), and match().

bool osl::rating::Open::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & |
| ) |  | const
| inlinevirtual

Implements osl::rating::Feature.

Definition at line 134 of file rating/feature.h.

References index(), and property.

const std::string osl::rating::Open::name | ( | int | property) |  |
| static

Definition at line 40 of file rating/feature.cc.

## Member Data Documentation

int osl::rating::Open::property
| private

Definition at line 124 of file rating/feature.h.

Referenced by match().

The documentation for this class was generated from the following files:

- rating/feature.h
- rating/feature.cc